;(function () {
    function $(id) {
        return document.getElementById(id);
    }

    var areas = OutageMap.AreaConfiguration,
        currentArea = (/[?&]juris=([A-Za-z0-9]+)/.exec(window.location.search) || { '1': 'NSPM' })[1],
        links = [];
    for (var i in areas) {
        if (areas.hasOwnProperty(i)) {
            links.push('<a href="?juris=' + i + '" class="' + (currentArea === i ? 'active' : '') + '">' + areas[i].name + '</a>');
        }
    }
    $('switcher').innerHTML = links.join(' | ');

    new OutageMap('map', 'AkMojhKDbe2fLt8HRPEOEzkiv33clQegEm4TkNpBezRAYEcoPlupVOXqETxkK0wz', {
        titleElement: $('jurisdiction'),
        summaryElement: $('tableOutageSummary'),
        modificationDateElement: $('lastModDate')
    }).setArea(currentArea);
}());